Index: /trunk/about.php
===================================================================
--- /trunk/about.php	(revision 363)
+++ /trunk/about.php	(revision 364)
@@ -27,6 +27,6 @@
 
 //----------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 //----------------------------------------------------- template initialization
 //
Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 363)
+++ /trunk/admin.php	(revision 364)
@@ -27,6 +27,6 @@
 
 //----------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 include_once( './admin/include/isadmin.inc.php' );
 //----------------------------------------------------- template initialization
@@ -55,5 +55,5 @@
    if ( !is_numeric( $_GET['user_id'] ) ) $_GET['user_id'] = -1;
    $query = 'SELECT status,username';
-   $query.= ' FROM '.PREFIX_TABLE.'users';
+   $query.= ' FROM '.USERS_TABLE;
    $query.= ' WHERE id = '.$_GET['user_id'];
    $query.= ';';
Index: /trunk/admin/cat_modify.php
===================================================================
--- /trunk/admin/cat_modify.php	(revision 363)
+++ /trunk/admin/cat_modify.php	(revision 364)
@@ -100,5 +100,5 @@
   // checking users favorites
   $query = 'SELECT id';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ';';
   $result = mysql_query( $query );
Index: /trunk/admin/cat_perm.php
===================================================================
--- /trunk/admin/cat_perm.php	(revision 363)
+++ /trunk/admin/cat_perm.php	(revision 364)
@@ -76,5 +76,5 @@
   mysql_query( $query );
   $query = 'SELECT id';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ';';
   $result = mysql_query( $query );
@@ -138,5 +138,5 @@
 //----------------------------------------------------------------------- users
 $query = 'SELECT id,username,status';
-$query.= ' FROM '.PREFIX_TABLE.'users';
+$query.= ' FROM '.USERS_TABLE;
 // only the webmaster can modify webmaster's permissions
 if ( $user['username'] != $conf['webmaster'] )
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 363)
+++ /trunk/admin/configuration.php	(revision 364)
@@ -218,5 +218,5 @@
     mysql_query( $query );
 
-    $query = 'UPDATE '.PREFIX_TABLE.'users';
+    $query = 'UPDATE '.USERS_TABLE;
     $query.= ' SET';
     foreach ( $default_user_infos as $i => $default_user_info ) {
@@ -258,5 +258,5 @@
 
   $query  = 'SELECT '.implode( ',', $default_user_infos );
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= " WHERE username = 'guest'";
   $query.= ';';
Index: /trunk/admin/group_perm.php
===================================================================
--- /trunk/admin/group_perm.php	(revision 363)
+++ /trunk/admin/group_perm.php	(revision 364)
@@ -62,5 +62,5 @@
   // checking users favorites
   $query = 'SELECT id';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ';';
   $result = mysql_query( $query );
Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 363)
+++ /trunk/admin/include/functions.php	(revision 364)
@@ -283,5 +283,5 @@
 
   // destruction of the user
-  $query = 'DELETE FROM '.PREFIX_TABLE.'users';
+  $query = 'DELETE FROM '.USERS_TABLE;
   $query.= ' WHERE id = '.$user_id;
   $query.= ';';
@@ -323,5 +323,5 @@
 {
   $query = 'SELECT status,forbidden_categories';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ' WHERE id = '.$user_id;
   $query.= ';';
@@ -853,5 +853,5 @@
   
   $query = 'SELECT id';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ';';
   $result = mysql_query( $query );
@@ -902,5 +902,5 @@
   
   $query = 'SELECT id';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ', '.PREFIX_TABLE.'user_group';
   $query.= ' WHERE group_id = '.$group_id;
@@ -927,5 +927,5 @@
 
   // update the users.forbidden_categories in database
-  $query = 'UPDATE '.PREFIX_TABLE.'users';
+  $query = 'UPDATE '.USERS_TABLE;
   $query.= ' SET forbidden_categories = ';
   if ( count( $restrictions ) > 0 )
@@ -951,5 +951,5 @@
   
   $query = 'SELECT status';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ' WHERE id = '.$user_id;
   $query.= ';';
Index: /trunk/admin/include/isadmin.inc.php
===================================================================
--- /trunk/admin/include/isadmin.inc.php	(revision 363)
+++ /trunk/admin/include/isadmin.inc.php	(revision 364)
@@ -29,6 +29,4 @@
 
 $isadmin = true;
-include_once( './language/'.$user['language'].'/lang_admin.php' );
-
 if ( $user['status'] != 'admin' )
 {
Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 363)
+++ /trunk/admin/user_list.php	(revision 364)
@@ -62,5 +62,5 @@
 {
   $query = 'SELECT username';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ' WHERE id = '.$_GET['delete'];
   $query.= ';';
@@ -86,5 +86,5 @@
     {
       $query = 'SELECT COUNT(*) AS nb_result';
-      $query.= ' FROM '.PREFIX_TABLE.'users';
+      $query.= ' FROM '.USERS_TABLE;
       $query.= ' WHERE id = '.$_GET['delete'];
       $query.= ';';
@@ -132,5 +132,5 @@
 
   $query = 'SELECT id,username,status,mail_address';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= ' ORDER BY status ASC, username ASC';
   $query.= ';';
@@ -234,5 +234,5 @@
     $mails = array();
     $query = 'SELECT id,mail_address';
-    $query.= ' FROM '.PREFIX_TABLE.'users';
+    $query.= ' FROM '.USERS_TABLE;
     $query.= ';';
     $result = mysql_query( $query );
Index: /trunk/admin/user_modify.php
===================================================================
--- /trunk/admin/user_modify.php	(revision 363)
+++ /trunk/admin/user_modify.php	(revision 364)
@@ -42,5 +42,5 @@
 $query = 'select';
 $query.= ' username,status,mail_address';
-$query.= ' from '.PREFIX_TABLE.'users';
+$query.= ' from '.USERS_TABLE;
 $query.= ' where id = '.$_GET['user_id'];
 $query.= ';';
Index: /trunk/category.php
===================================================================
--- /trunk/category.php	(revision 363)
+++ /trunk/category.php	(revision 364)
@@ -27,6 +27,6 @@
 
 //--------------------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 //---------------------------------------------------------------------- logout
 if ( isset( $_GET['act'] )
@@ -190,5 +190,5 @@
 }
 
-// favorites management
+// authentification mode management
 if ( !$user['is_the_guest'] )
 {
@@ -199,4 +199,5 @@
   $row = mysql_fetch_array( $result );
   $template->assign_block_vars('favorites', array ('NB_FAV'=>$row['count']) );
+  $template->assign_block_vars('username', array());
 }
 //--------------------------------------------------------------------- summary
Index: /trunk/comments.php
===================================================================
--- /trunk/comments.php	(revision 363)
+++ /trunk/comments.php	(revision 364)
@@ -27,6 +27,6 @@
 
 //----------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 
 //--------------------------------------------------- number of days to display
Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 363)
+++ /trunk/identification.php	(revision 364)
@@ -27,6 +27,6 @@
 
 //----------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 
 //-------------------------------------------------------------- identification
Index: /trunk/include/common.inc.php
===================================================================
--- /trunk/include/common.inc.php	(revision 363)
+++ /trunk/include/common.inc.php	(revision 364)
@@ -25,7 +25,9 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-
-// determine the initial instant to indicate the generation time of this
-// page
+if( !defined("PHPWG_ROOT_PATH") )
+{
+	die ("Hacking attempt!");
+}
+// determine the initial instant to indicate the generation time of this page
 $t1 = explode( ' ', microtime() );
 $t2 = explode( '.', $t1[0] );
@@ -110,4 +112,6 @@
 $lang = array();
 
+
+include(PHPWG_ROOT_PATH .'config.php');
 if( !defined("PHPWG_INSTALLED") )
 {
@@ -116,9 +120,10 @@
 }
 
-include( $phpwg_root_path.'include/constants.php' );
-include( $phpwg_root_path.'include/functions.inc.php' );
-include( $phpwg_root_path.'include/template.php' );
-include( $phpwg_root_path.'include/vtemplate.class.php' );
-include( $phpwg_root_path.'include/config.inc.php' );
+
+include(PHPWG_ROOT_PATH . 'include/constants.php');
+include(PHPWG_ROOT_PATH . 'include/functions.inc.php');
+include(PHPWG_ROOT_PATH . 'include/template.php');
+include(PHPWG_ROOT_PATH . 'include/vtemplate.class.php');
+include(PHPWG_ROOT_PATH . 'include/config.inc.php');
 
 //
@@ -198,5 +203,5 @@
 //---------------
 
-include($phpwg_root_path . 'include/user.inc.php');
+include(PHPWG_ROOT_PATH . 'include/user.inc.php');
 
 // displaying the username in the language of the connected user, instead of
Index: /trunk/include/config.inc.php
===================================================================
--- /trunk/include/config.inc.php	(revision 363)
+++ /trunk/include/config.inc.php	(revision 364)
@@ -55,5 +55,5 @@
 $conf['max_LOV_categories'] = 50;
 
-$conf['default_lang'] = 'francais';
+$conf['default_lang'] = 'fr_FR';
 $conf['default_style'] = 'default';
 
Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 363)
+++ /trunk/include/functions.inc.php	(revision 364)
@@ -261,4 +261,5 @@
 function get_languages( $rep_language )
 {
+  global $lang;
   $languages = array();
   $i = 0;
@@ -267,7 +268,7 @@
     while ( $file = readdir ( $opendir ) )
     {
-      if ( is_dir ( $rep_language.$file )&& !substr_count($file,'.') )
+      if ( is_dir ( $rep_language.$file )&& !substr_count($file,'.') && isset($lang['lang'][$file]))
       {
-        $languages[$i++] =$file;
+        $languages[$i++] =$lang['lang'][$file];
       }
     }
@@ -388,5 +389,5 @@
   // retrieving all administrators
   $query = 'SELECT username,mail_address,language';
-  $query.= ' FROM '.PREFIX_TABLE.'users';
+  $query.= ' FROM '.USERS_TABLE;
   $query.= " WHERE status = 'admin'";
   $query.= ' AND mail_address IS NOT NULL';
@@ -461,56 +462,3 @@
 }
 
-//
-// Initialise user settings on page load
-function init_userprefs($userdata)
-{
-	global $conf, $template, $lang, $phpwg_root_path;
-	
-	$style = $conf['default_style'];
-	if ( !$userdata['is_the_guest'] )
-	{
-		if ( !empty($userdata['language']))
-		{
-			$conf['default_lang'] = $userdata['language'];
-		}
-		if ( !empty($userdata['template']))
-		{
-			$style = $userdata['template'];
-		}
-	}
-
-	if ( !file_exists(@realpath($phpwg_root_path . 'language/' . $conf['default_lang'] . '/lang_main.php')) )
-	{
-		$conf['default_lang'] = 'english';
-	}
-	
-	include_once($phpwg_root_path . 'language/' . $conf['default_lang'] . '/lang_main.php');
-	$template= setup_style($style);
-
-	return;
-}
-
-function setup_style($style)
-{
-	global $phpwg_root_path;
-
-	$template_path = 'template/' ;
-	$template_name = $style ;
-
-	$template = new Template($phpwg_root_path . $template_path . $template_name);
-	return $template;
-}
-
-function encode_ip($dotquad_ip)
-{
-	$ip_sep = explode('.', $dotquad_ip);
-	return sprintf('%02x%02x%02x%02x', $ip_sep[0], $ip_sep[1], $ip_sep[2], $ip_sep[3]);
-}
-
-function decode_ip($int_ip)
-{
-	$hexipbang = explode('.', chunk_split($int_ip, 2, '.'));
-	return hexdec($hexipbang[0]). '.' . hexdec($hexipbang[1]) . '.' . hexdec($hexipbang[2]) . '.' . hexdec($hexipbang[3]);
-}
-
 ?>
Index: /trunk/include/functions_session.inc.php
===================================================================
--- /trunk/include/functions_session.inc.php	(revision 363)
+++ /trunk/include/functions_session.inc.php	(revision 364)
@@ -76,5 +76,5 @@
   // 2. retrieving id of the username given in parameter
   $query = 'select id';
-  $query.= ' from '.PREFIX_TABLE.'users';
+  $query.= ' from '.USERS_TABLE;
   $query.= " where username = '".$username."';";
   $row = mysql_fetch_array( mysql_query( $query ) );
Index: /trunk/include/functions_user.inc.php
===================================================================
--- /trunk/include/functions_user.inc.php	(revision 363)
+++ /trunk/include/functions_user.inc.php	(revision 364)
@@ -67,5 +67,5 @@
   {
     $query = 'SELECT id';
-    $query.= ' FROM '.PREFIX_TABLE.'users';
+    $query.= ' FROM '.USERS_TABLE;
     $query.= " WHERE username = '".$login."'";
     $query.= ';';
@@ -93,10 +93,10 @@
       $query.= $infos[$i];
     }
-    $query.= ' FROM '.PREFIX_TABLE.'users';
+    $query.= ' FROM '.USERS_TABLE;
     $query.= " WHERE username = 'guest'";
     $query.= ';';
     $row = mysql_fetch_array( mysql_query( $query ) );
     // 2. adding new user
-    $query = 'INSERT INTO '.PREFIX_TABLE.'users';
+    $query = 'INSERT INTO '.USERS_TABLE;
     $query.= ' (';
     $query.= ' username,password,mail_address,status';
@@ -120,5 +120,5 @@
     // 3. retrieving the id of the newly created user
     $query = 'SELECT id';
-    $query.= ' FROM '.PREFIX_TABLE.'users';
+    $query.= ' FROM '.USERS_TABLE;
     $query.= " WHERE username = '".$login."';";
     $row = mysql_fetch_array( mysql_query( $query ) );
@@ -189,5 +189,5 @@
   if ( sizeof( $error ) == 0 )
   {
-    $query = 'UPDATE '.PREFIX_TABLE.'users';
+    $query = 'UPDATE '.USERS_TABLE;
     $query.= " SET status = '".$status."'";
     if ( $use_new_password )
@@ -225,3 +225,68 @@
   }
 }
+
+//
+// Initialise user settings on page load
+function init_userprefs($userdata)
+{
+  global $conf, $template, $lang, $lang_mapping;
+  $style = $conf['default_style'];
+  if ( !$userdata['is_the_guest'] )
+  {
+    if ( !empty($userdata['language']))
+    {
+      $conf['default_lang'] = $userdata['language'];
+    }
+    if ( !empty($userdata['template']))
+    {
+      $style = $userdata['template'];
+    }
+  }
+
+  if ( !file_exists(@realpath(PHPWG_ROOT_PATH . 'language/' . $conf['default_lang'] . '/common.lang.php')) )
+  {
+    $conf['default_lang'] = 'en_EN';
+  }
+  include_once(PHPWG_ROOT_PATH . 'language/' . $conf['default_lang'] . '/common.lang.php');
+  
+  if ( !file_exists(@realpath(PHPWG_ROOT_PATH . 'language/' . $conf['default_lang'] . '/lang.lang.php')) )
+  {
+    $conf['default_lang'] = 'en_EN';
+  }
+  include_once(PHPWG_ROOT_PATH . 'language/' . $conf['default_lang'] . '/lang.lang.php');
+  
+  if ($userdata['status'] == 'admin')
+  {
+    $admin_lang = $userdata['language'];
+    if ( !file_exists(@realpath(PHPWG_ROOT_PATH . 'language/' . $conf['default_lang'] . '/admin.lang.php')) )
+    {
+      $admin_lang = 'en_EN';
+    }
+	include_once(PHPWG_ROOT_PATH . 'language/' . $admin_lang . '/admin.lang.php');
+  }
+
+  $template= setup_style($style);
+  return;
+}
+
+function setup_style($style)
+{
+	$template_path = 'template/' ;
+	$template_name = $style ;
+
+	$template = new Template(PHPWG_ROOT_PATH . $template_path . $template_name);
+	return $template;
+}
+
+function encode_ip($dotquad_ip)
+{
+	$ip_sep = explode('.', $dotquad_ip);
+	return sprintf('%02x%02x%02x%02x', $ip_sep[0], $ip_sep[1], $ip_sep[2], $ip_sep[3]);
+}
+
+function decode_ip($int_ip)
+{
+	$hexipbang = explode('.', chunk_split($int_ip, 2, '.'));
+	return hexdec($hexipbang[0]). '.' . hexdec($hexipbang[1]) . '.' . hexdec($hexipbang[2]) . '.' . hexdec($hexipbang[3]);
+}
 ?>
Index: /trunk/index.php
===================================================================
--- /trunk/index.php	(revision 363)
+++ /trunk/index.php	(revision 364)
@@ -27,6 +27,6 @@
 
 //----------------------------------------------------------- include
-$phpwg_root_path = './';
-include_once( $phpwg_root_path.'include/common.inc.php' );
+define('PHPWG_ROOT_PATH','./');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 if ( $conf['access'] == 'restricted' )
 {
